From 8739a5b33176e82e06a746163c0c76de4908ced9 Mon Sep 17 00:00:00 2001
From: Jose Dapena Paz <jdapena@igalia.com>
Date: Thu, 19 Sep 2024 15:23:08 +0000
Subject: [PATCH] libstdc++: std::array container type needs empty constructor
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Add the null default value in SVGElement AttrToTypeEntry used to
populate an array, as otherwise std::array fails as there is no
way to create entries without assigning values.

Bug: 41455655
Change-Id: I447d75ff3d5a0ed4eb82d5316a5fe6330c21f526
Reviewed-on: https://chromium-review.googlesource.com/c/chromium/src/+/5875680
Commit-Queue: José Dapena Paz <jdapena@igalia.com>
Reviewed-by: Rune Lillesveen <futhark@chromium.org>
Cr-Commit-Position: refs/heads/main@{#1357612}
---
 third_party/blink/renderer/core/svg/svg_element.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/third_party/blink/renderer/core/svg/svg_element.cc b/third_party/blink/renderer/core/svg/svg_element.cc
index 4716f3bfbbe84da281826b271bb880d74cd90d8a..109f21671547db32aa66d1bd2437ad24491dcdcb 100644
--- a/third_party/blink/renderer/core/svg/svg_element.cc
+++ b/third_party/blink/renderer/core/svg/svg_element.cc
@@ -703,7 +703,7 @@ AnimatedPropertyType SVGElement::AnimatedPropertyTypeForCSSAttribute(
   if (css_property_map.empty()) {
     // Fill the map for the first use.
     struct AttrToTypeEntry {
-      const QualifiedName& attr;
+      const QualifiedName& attr = g_null_name;
       const AnimatedPropertyType prop_type;
     };
     const auto attr_to_types = std::to_array<const AttrToTypeEntry>({
